### Enumeration

# Fwupd SecurityAttrResult

#### Declaration

    enum Fwupd.SecurityAttrResult

#### Description [src]

The HSI result.

#### Members

Name | Description
--- | ---
`FWUPD_SECURITY_ATTR_RESULT_UNKNOWN` | Not known.
`FWUPD_SECURITY_ATTR_RESULT_ENABLED` | Enabled.
`FWUPD_SECURITY_ATTR_RESULT_NOT_ENABLED` | Not enabled.
`FWUPD_SECURITY_ATTR_RESULT_VALID` | Valid.
`FWUPD_SECURITY_ATTR_RESULT_NOT_VALID` | Not valid.
`FWUPD_SECURITY_ATTR_RESULT_LOCKED` | Locked.
`FWUPD_SECURITY_ATTR_RESULT_NOT_LOCKED` | Not locked.
`FWUPD_SECURITY_ATTR_RESULT_ENCRYPTED` | Encrypted.
`FWUPD_SECURITY_ATTR_RESULT_NOT_ENCRYPTED` | Not encrypted.
`FWUPD_SECURITY_ATTR_RESULT_TAINTED` | Tainted.
`FWUPD_SECURITY_ATTR_RESULT_NOT_TAINTED` | Not tainted.
`FWUPD_SECURITY_ATTR_RESULT_FOUND` | Found.
`FWUPD_SECURITY_ATTR_RESULT_NOT_FOUND` | Not found.
`FWUPD_SECURITY_ATTR_RESULT_SUPPORTED` | Supported.
`FWUPD_SECURITY_ATTR_RESULT_NOT_SUPPORTED` | Not supported.